- Qt 5.15
- Qt Sensors
- C++ Classes
- QProximitySensor
- Qt 5.15.11 Reference Documentation

# QProximitySensor Class

The QProximitySensor class is a convenience wrapper around QSensor. More...

Header: | #include <QProximitySensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QProximitySensor(QObject *parent = Q_NULLPTR)
virtual | ~QProximitySensor()
QProximityReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QProximityReading instead of a QSensorReading.

For details about how the sensor works, see QProximityReading.

See also QProximityReading.

## Member Function Documentation

### QProximitySensor::QProximitySensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QProximitySensor::~QProximitySensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QProximityReading *QProximitySensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().